/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-01-31
 * 描述            ：质量设计-交付标准-探伤标准
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Qms.slmord.vo;
import java.io.Serializable;

import market.Qms.slmord.mapper.SlmOrdDesignStdDicMapper;

import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="SLM_ORD_DESIGN_STD_DIC", namespace=SlmOrdDesignStdDicMapper.class)
public class SlmOrdDesignStdDic extends BaseVO implements Serializable {
	/** 
	 * DESIGN_KEY
	 */ 
	@Id
	private String design_key;
	public String  getDesign_key() {
		return this.design_key;
	}
	public void setDesign_key(String design_key) {
		this.design_key = design_key;
	}

	/** 
	 * 探伤索引号
	 */ 
	@Id
	private String dic;
	public String  getDic() {
		return this.dic;
	}
	public void setDic(String dic) {
		this.dic = dic;
	}
	
	/**
	 * 全程工序顺序号
	 */
	@Id
	private int backlog_seq;
	
	public int getBacklog_seq() {
		return backlog_seq;
	}
	public void setBacklog_seq(int backlog_seq) {
		this.backlog_seq = backlog_seq;
	}

	/** 
	 * 协议或Alpha代码(用途码)
	 */ 
	@Column
	private String use_code;
	public String  getUse_code() {
		return this.use_code;
	}
	public void setUse_code(String use_code) {
		this.use_code = use_code;
	}

	/** 
	 * 协议或Alpha描述(用途描述)
	 */ 
	@Column
	private String use_desc;
	public String  getUse_desc() {
		return this.use_desc;
	}
	public void setUse_desc(String use_desc) {
		this.use_desc = use_desc;
	}

	/** 
	 * 是否特殊要求(0:交付标准;1:特殊要求;2:内控标准)
	 */ 
	@Id
	private String specl_fl;
	public String  getSpecl_fl() {
		return this.specl_fl;
	}
	public void setSpecl_fl(String specl_fl) {
		this.specl_fl = specl_fl;
	}

	/** 
	 * 序号
	 */ 
	@Id
	private Integer xh;
	public Integer  getXh() {
		return this.xh;
	}
	public void setXh(Integer xh) {
		this.xh = xh;
	}

	/** 
	 * 材质检验项代码
	 */ 
	@Column
	private String phy_code_s;
	public String  getPhy_code_s() {
		return this.phy_code_s;
	}
	public void setPhy_code_s(String phy_code_s) {
		this.phy_code_s = phy_code_s;
	}

	/** 
	 * 材质检验项名称
	 */ 
	@Column
	private String phy_name_s;
	public String  getPhy_name_s() {
		return this.phy_name_s;
	}
	public void setPhy_name_s(String phy_name_s) {
		this.phy_name_s = phy_name_s;
	}

	/** 
	 * 探伤位置代码(4020)
	 */ 
	@Column
	private String position_code;
	public String  getPosition_code() {
		return this.position_code;
	}
	public void setPosition_code(String position_code) {
		this.position_code = position_code;
	}

	/** 
	 * 探伤位置描述
	 */ 
	@Column
	private String position_desc;
	public String  getPosition_desc() {
		return this.position_desc;
	}
	public void setPosition_desc(String position_desc) {
		this.position_desc = position_desc;
	}

	/** 
	 * 探伤级别代码(4022)
	 */ 
	@Column
	private String lv_code;
	public String  getLv_code() {
		return this.lv_code;
	}
	public void setLv_code(String lv_code) {
		this.lv_code = lv_code;
	}

	/** 
	 * 探伤级别描述
	 */ 
	@Column
	private String lv_desc;
	public String  getLv_desc() {
		return this.lv_desc;
	}
	public void setLv_desc(String lv_desc) {
		this.lv_desc = lv_desc;
	}

	/** 
	 * 刻槽位置(4023)
	 */ 
	@Column
	private String groove_pos;
	public String  getGroove_pos() {
		return this.groove_pos;
	}
	public void setGroove_pos(String groove_pos) {
		this.groove_pos = groove_pos;
	}

	/** 
	 * 刻槽方向(4024)
	 */ 
	@Column
	private String groove_dir;
	public String  getGroove_dir() {
		return this.groove_dir;
	}
	public void setGroove_dir(String groove_dir) {
		this.groove_dir = groove_dir;
	}
	
	/** 
	 * 刻槽方向(4024)
	 */ 
	private String groove_dir_desc;
	/** 
	 * 刻槽位置(4023)
	 */ 
	private String groove_pos_desc;

	/** 
	 * 探伤参考标准(4021)
	 */ 
	@Column
	private String std_desc;

	public String getGroove_dir_desc() {
		return groove_dir_desc;
	}
	public void setGroove_dir_desc(String groove_dir_desc) {
		this.groove_dir_desc = groove_dir_desc;
	}
	public String getGroove_pos_desc() {
		return groove_pos_desc;
	}
	public void setGroove_pos_desc(String groove_pos_desc) {
		this.groove_pos_desc = groove_pos_desc;
	}
	public String getStd_desc() {
		return std_desc;
	}
	public void setStd_desc(String std_desc) {
		this.std_desc = std_desc;
	}

	/** 
	 * 探伤覆盖率(%)
	 */ 
	@Column
	private String coverage;
	public String  getCoverage() {
		return this.coverage;
	}
	public void setCoverage(String coverage) {
		this.coverage = coverage;
	}

	/** 
	 * 探伤频率代码(4011)(按比例、逐支)
	 */ 
	@Column
	private String rate;
	public String  getRate() {
		return this.rate;
	}
	public void setRate(String rate) {
		this.rate = rate;
	}

	/** 
	 * 探伤频率描述
	 */ 
	@Column
	private String desc_rate;
	public String  getDesc_rate() {
		return this.desc_rate;
	}
	public void setDesc_rate(String desc_rate) {
		this.desc_rate = desc_rate;
	}

	/** 
	 * 频率值（按比例，具体百分比）
	 */ 
	@Column
	private String desc_val;
	public String  getDesc_val() {
		return this.desc_val;
	}
	public void setDesc_val(String desc_val) {
		this.desc_val = desc_val;
	}

	/** 
	 * 分组索引号(同一分组的为多选一项)
	 */ 
	@Column
	private String group_seq;
	public String  getGroup_seq() {
		return this.group_seq;
	}
	public void setGroup_seq(String group_seq) {
		this.group_seq = group_seq;
	}

	/** 
	 * 备注
	 */ 
	@Column
	private String memo;
	public String  getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

	/** 
	 * 最小外径
	 */ 
	@Column
	private String min_d;
	public String  getMin_d() {
		return this.min_d;
	}
	public void setMin_d(String min_d) {
		this.min_d = min_d;
	}

	/** 
	 * 最大外径
	 */ 
	@Column
	private String max_d;
	public String  getMax_d() {
		return this.max_d;
	}
	public void setMax_d(String max_d) {
		this.max_d = max_d;
	}

	/** 
	 * 最小壁厚
	 */ 
	@Column
	private String min_h;
	public String  getMin_h() {
		return this.min_h;
	}
	public void setMin_h(String min_h) {
		this.min_h = min_h;
	}

	/** 
	 * 最大壁厚
	 */ 
	@Column
	private String max_h;
	public String  getMax_h() {
		return this.max_h;
	}
	public void setMax_h(String max_h) {
		this.max_h = max_h;
	}

	/** 
	 * 最大厚度上限符号
	 */ 
	@Column
	private String max_h_sign;
	
	/** 
	 * 最大宽度上限符号
	 */ 
	@Column
	private String max_d_sign;
	
	/** 
	 * 最小厚度下限符号
	 */ 
	@Column
	private String min_h_sign;
	
	/** 
	 * 最小宽度下限符号
	 */ 
	@Column
	private String min_d_sign;
	
	/**制程号*/
	@Column
	private String msc_pline;
	
	/**工序代码 */
	@Column
	private String process_code;
	public String getMsc_pline() {
		return msc_pline;
	}
	public void setMsc_pline(String msc_pline) {
		this.msc_pline = msc_pline;
	}
	public String getProcess_code() {
		return process_code;
	}
	public void setProcess_code(String process_code) {
		this.process_code = process_code;
	}
	
	
	public String getMax_h_sign() {
		return max_h_sign;
	}
	public void setMax_h_sign(String max_h_sign) {
		this.max_h_sign = max_h_sign;
	}
	public String getMax_d_sign() {
		return max_d_sign;
	}
	public void setMax_d_sign(String max_d_sign) {
		this.max_d_sign = max_d_sign;
	}
	public String getMin_h_sign() {
		return min_h_sign;
	}
	public void setMin_h_sign(String min_h_sign) {
		this.min_h_sign = min_h_sign;
	}
	public String getMin_d_sign() {
		return min_d_sign;
	}
	public void setMin_d_sign(String min_d_sign) {
		this.min_d_sign = min_d_sign;
	}

}
